Page MenuHomePhabricator

[Story] Add meta description in the header for Wikibase pages
Closed, ResolvedPublic

Description

when you search google for "barack obama wikidata", you get:

Barack Obama - Wikidata
www.wikidata.org/wiki/Q76
7 days ago - "The president's symptoms are consistent with soft tissue inflammation related to acid reflux and will be treated accordingly," Obama's doctor, ...

(pulling the text from a quote within a reference of the first statement on his item, instead of using the item description)

not sure it would always work, but looks like we could add a meta description in the header of the page that might provide more useful hint for the search engine.

https://support.google.com/webmasters/answer/35624?hl=en#1

"new york wikidata" is better, giving:

New York City - Wikidata
www.wikidata.org/wiki/Q60
7 days ago - largest city in New York and the United States of America [edit]. Also known as: NYC; New York; City of New York; New York, New York; The Big ...

Event Timeline

aude created this task.Feb 3 2015, 8:37 PM
aude raised the priority of this task from to Needs Triage.
aude updated the task description. (Show Details)
aude added a project: Wikidata.
aude added a subscriber: aude.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 3 2015, 8:37 PM
aude added a comment.Feb 3 2015, 8:40 PM

George W. Bush - Wikidata
www.wikidata.org/wiki/Q207
http://www.nytimes.com/2001/04/16/us/bush-celebrates-easter-at-an-outdoor-service.html · religion · George H. W. Bush. 0 references. father · Laura Bush.

Ronald Reagan - Wikidata
www.wikidata.org/wiki/Q9960
Jan 6, 2015 - Ronald Reagan (Q9960) [edit]. American politician, 40th president of the United States (in office from 1981 to 1989) [edit] ...

and ...

"wikidata bill clinton" does not find the president's item.

Lydia_Pintscher triaged this task as Normal priority.Feb 4 2015, 3:08 PM
aude renamed this task from Add meta description in the header for Wikibase pages to [Story] Add meta description in the header for Wikibase pages.Sep 10 2015, 10:51 AM
aude added a comment.Nov 8 2015, 6:35 AM

F2928636 reminder, this is still a problem and also why we need to be able to reorder statement groups.

F2928636 reminder, this is still a problem and also why we need to be able to reorder statement groups.

How does reordering statement groups help with that?

Reordering probably helps because the most relevant statements are on top and more likely to be picked by search engines as a description.

Please note that search engines usually prefer content snippets over meta description. But this does not mean we should not do this. I agree that repeating the entity's description in a meta description field is probably a good idea.

But we are not actually planning on putting »the most relevant statements« on top, are we?

aude added a comment.Nov 16 2015, 10:34 AM

But we are not actually planning on putting »the most relevant statements« on top, are we?

I am sure people in the community would like to move most relevant statements to the top (me being one of the people)

Ah, sorry, this is about ordering, not grouping. That's all right :)

jeblad added a subscriber: jeblad.Apr 2 2016, 11:18 PM

Descriptions should go into meta-elements no matter if the search engines uses them or not, simply because it is the right thing to do.

How hard is it to do this? It would be a huge improvement to the display of Wikidata items on Google.

Change 306425 had a related patch set uploaded (by Thiemo Mättig (WMDE)):
Set <meta description> on entity pages

https://gerrit.wikimedia.org/r/306425

https://yoast.com/meta-descriptions/ has some tips about meta descriptions. Some recommendations are a call-to-action and the focus keyword should be included somehow.

Change 306425 merged by jenkins-bot:
Set <meta description> on entity pages

https://gerrit.wikimedia.org/r/306425

daniel closed this task as Resolved.Sep 6 2016, 4:41 PM
daniel moved this task from Review to Done on the Wikidata-Sprint-2016-08-30 board.

I've noticed that the descriptions of biografischportaal.nl always show up in Google, because they include the label again in the description. Maybe we need to add something like "Structured data about [label], [description]"?

I tend to disagree. I believe a meta tag called "description" should contain the description, unaltered. Being clever always turned out to hurt (as it does in T131013):

  • The snippet "Structured data about …" will be identical on all 24 million pages we have.
  • The label will be shown twice in search results.
  • Long labels mean the actual description will be cut of.
  • Long descriptions will be cut of earlier because of the constant "Structured data about …" prefix.
  • Not all labels and descriptions are phrased in a way that they can form a sentence like the suggested one.
  • Grammar tends to be very different in different languages. Simply adding a prefix will not always work.
  • Should "Structured data about …" also be shown when there is no description?

For now I suggest to leave this as it is and focus on T51859.

Change 333891 had a related patch set uploaded (by Ladsgroup):
Allow RFDa meta tags

https://gerrit.wikimedia.org/r/333891